| Home | Libraries | People | FAQ | More

## Function hash_value

boost::hash_value —

## Synopsis

    template<typename A, typename B>
      std::size_t hash_value(std::pair<A, B> const & val);

## Description

Effects:

    size_t seed = 0;
    hash_combine(seed, val.first);
    hash_combine(seed, val.second);
    return seed;

Throws: Only throws if `hash_value(A)` or `hash_value(B)` throws.
Notes: This is an extension to TR1

| Copyright © 2005 Daniel James